> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.paradex.trade/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.paradex.trade/_mcp/server.

# Get account profile information

GET https://api.prod.paradex.trade/v1/account/profile

Respond with requester's account information


Reference: https://docs.paradex.trade/api/prod/account/get-profile

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Response

### 200

OK

- `ai_agent_url` (string, optional)
- `discord` (responses.DiscordProfile, optional)
- `is_username_private` (boolean, optional)
- `last_seen_notification` (integer, optional)
- `market_max_slippage` (map from string to string, optional)
- `marketed_by` (string, optional)
- `nfts` (list of responses.Nft, optional)
- `notifications` (responses.NotificationPreferencesResp, optional)
- `referral` (responses.ReferralConfigResp, optional)
- `referral_code` (string, optional)
- `referred_by` (string, optional)
- `size_currency_display` (string, optional)
- `tap_share_rate` (responses.ShareRateResp, optional)
- `tap_status` (string, optional) — TAP affiliate status: "NONE", "ACTIVE", or "INACTIVE"
- `twitter` (responses.TwitterProfile, optional)
- `twitter_following` (map from string to boolean, optional)
- `username` (string, optional)
- `xp_share_rate` (responses.ShareRateResp, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `data` (ResponsesApiErrorData, optional) — any additional data related to the error
- `error` (enum, optional) — unique immutable string identifier for specific error
  - Allowed values: `VALIDATION_ERROR`, `BINDING_ERROR`, `INTERNAL_ERROR`, `NOT_FOUND`, `SERVICE_UNAVAILABLE`, `INVALID_REQUEST_PARAMETER`, `ORDER_ID_NOT_FOUND`, `ORDER_IS_CLOSED`, `ORDER_IS_NOT_OPEN`, `INVALID_ORDER_SIZE`, `CLIENT_ORDER_ID_NOT_FOUND`, `DUPLICATED_CLIENT_ID`, `INVALID_SYMBOL`, `INVALID_TOKEN`, `INVALID_ETHEREUM_ADDRESS`, `INVALID_ETHEREUM_SIGNATURE`, `INVALID_STARKNET_ADDRESS`, `INVALID_STARKNET_SIGNATURE`, `STARKNET_SIGNATURE_VERIFICATION_FAILED`, `ETHEREUM_SIGNER_MISMATCH`, `ETHEREUM_HASH_MISMATCH`, `NOT_ONBOARDED`, `INVALID_TIMESTAMP`, `INVALID_BLOCK_EXPIRATION`, `ACCOUNT_NOT_FOUND`, `MEDIA_NOT_FOUND`, `INVALID_ORDER_SIGNATURE`, `PUBLIC_KEY_INVALID`, `UNAUTHORIZED_ETHEREUM_ADDRESS`, `UNAUTHORIZED_ERROR`, `ETHEREUM_ADDRESS_ALREADY_ONBOARDED`, `EVM_ADDRESS_ALREADY_ONBOARDED`, `MARKET_NOT_FOUND`, `ALLOWLIST_ENTRY_NOT_FOUND`, `USERNAME_IN_USE`, `GEO_IP_BLOCK`, `ETHEREUM_ADDRESS_BLOCKED`, `PROGRAM_NOT_FOUND`, `PROGRAM_NOT_SUPPORTED`, `INVALID_DASHBOARD`, `MARKET_NOT_OPEN`, `MARKET_NOT_SETTLED`, `INVALID_REFERRAL_CODE`, `REQUEST_NOT_ALLOWED`, `PARENT_ADDRESS_ALREADY_ONBOARDED`, `INVALID_PARENT_ACCOUNT`, `INVALID_VAULT_OPERATOR_CHAIN`, `VAULT_OPERATOR_ALREADY_ONBOARDED`, `VAULT_NAME_IN_USE`, `VAULT_NOT_FOUND`, `VAULT_STRATEGY_NOT_FOUND`, `VAULT_LIMIT_REACHED`, `VAULT_DATA_PRIVATE`, `BATCH_SIZE_OUT_OF_RANGE`, `ISOLATED_MARKET_ACCOUNT_MISMATCH`, `NO_ACCESS_TO_MARKET`, `POINTS_SUMMARY_NOT_FOUND`, `ALGO_ID_NOT_FOUND`, `INVALID_DERIVATION_PATH`, `PROFILE_STATS_NOT_FOUND`, `INVALID_CHAIN`, `INVALID_LAYERSWAP_SWAP`, `SOCIAL_USERNAME_IN_USE`, `INVALID_OAUTH_REQUEST`, `RPI_ACCOUNT_NOT_WHITELISTED`, `SYSTEM_STATUS_POST_ONLY`, `SYSTEM_STATUS_CANCEL_ONLY`, `INVALID_MARKETING_CODE`, `OFFER_NOT_FOUND`, `MARKET_MARGIN_RESTRICTED`, `NOT_UNIQUE`, `ACCOUNT_ALREADY_REFERRED`, `ONBOARDING_PERIOD_EXPIRED`, `ONBOARDING_RATE_LIMITED`, `SUBACCOUNTS_LIMIT_EXCEEDED`, `INSUFFICIENT_MIN_CHAIN_BALANCE`, `INSUFFICIENT_EVM_BALANCE`, `PORTFOLIO_MARGIN_ONBOARDING_DISABLED`, `PORTFOLIO_MARGIN_INVALID_ACCOUNT_KIND`, `EVM_VAULT_OPERATORS_DISABLED`, `INVALID_EVM_SIGNATURE`, `EVM_SIGNATURE_VERIFICATION_FAILED`, `INVALID_SUBKEY`, `SUBKEY_NOT_ACTIVATABLE`, `TOKEN_LIMIT_REACHED`, `INVALID_TOKEN_SCOPE`, `IP_NOT_ALLOWED`, `INSUFFICIENT_TRANSFERRABLE_XP`, `TRANSFER_LIMIT_REACHED`, `XP_TRANSFERS_DISABLED`, `BLOCK_TRADE_NOT_FOUND`, `BLOCK_TRADE_NOT_ENABLED`, `BLOCK_TRADE_EXPIRED`, `BLOCK_TRADE_ALREADY_CANCELLED`, `BLOCK_TRADE_INVALID_STATUS`, `BLOCK_TRADE_UNAUTHORIZED`, `BLOCK_TRADE_MISSING_TRADES`, `BLOCK_TRADE_MISSING_SIGNERS`, `BLOCK_TRADE_MISSING_SIGNATURE`, `BLOCK_TRADE_ACCOUNT_MISMATCH`, `BLOCK_TRADE_INVALID_SIGNATURE`, `BLOCK_TRADE_SIGNER_KEY_UNAUTHORIZED`, `BLOCK_TRADE_REPLAYED_SIGNATURE`, `BLOCK_TRADE_SELF_TRADE`, `OFFER_ALREADY_CANCELLED`, `OFFER_INVALID_STATUS`, `OFFER_UNAUTHORIZED`, `OFFER_PARENT_MISMATCH`, `OFFER_PARENT_NOT_ACCEPTING`, `PORTFOLIO_MARGIN_CONFIG_NOT_FOUND`, `MARGIN_CONFIG_NOT_FOUND`, `MMP_CONFIG_INVALID`, `MMP_NOT_ENABLED`, `MMP_MIN_FREEZE_NOT_ELAPSED`, `MMP_NOT_CONFIGURED`
- `message` (string, optional) — detailed description of error and how to address it

### 401 Unauthorized Error

Unauthorized

- `data` (ResponsesApiErrorData, optional) — any additional data related to the error
- `error` (enum, optional) — unique immutable string identifier for specific error
  - Allowed values: `VALIDATION_ERROR`, `BINDING_ERROR`, `INTERNAL_ERROR`, `NOT_FOUND`, `SERVICE_UNAVAILABLE`, `INVALID_REQUEST_PARAMETER`, `ORDER_ID_NOT_FOUND`, `ORDER_IS_CLOSED`, `ORDER_IS_NOT_OPEN`, `INVALID_ORDER_SIZE`, `CLIENT_ORDER_ID_NOT_FOUND`, `DUPLICATED_CLIENT_ID`, `INVALID_SYMBOL`, `INVALID_TOKEN`, `INVALID_ETHEREUM_ADDRESS`, `INVALID_ETHEREUM_SIGNATURE`, `INVALID_STARKNET_ADDRESS`, `INVALID_STARKNET_SIGNATURE`, `STARKNET_SIGNATURE_VERIFICATION_FAILED`, `ETHEREUM_SIGNER_MISMATCH`, `ETHEREUM_HASH_MISMATCH`, `NOT_ONBOARDED`, `INVALID_TIMESTAMP`, `INVALID_BLOCK_EXPIRATION`, `ACCOUNT_NOT_FOUND`, `MEDIA_NOT_FOUND`, `INVALID_ORDER_SIGNATURE`, `PUBLIC_KEY_INVALID`, `UNAUTHORIZED_ETHEREUM_ADDRESS`, `UNAUTHORIZED_ERROR`, `ETHEREUM_ADDRESS_ALREADY_ONBOARDED`, `EVM_ADDRESS_ALREADY_ONBOARDED`, `MARKET_NOT_FOUND`, `ALLOWLIST_ENTRY_NOT_FOUND`, `USERNAME_IN_USE`, `GEO_IP_BLOCK`, `ETHEREUM_ADDRESS_BLOCKED`, `PROGRAM_NOT_FOUND`, `PROGRAM_NOT_SUPPORTED`, `INVALID_DASHBOARD`, `MARKET_NOT_OPEN`, `MARKET_NOT_SETTLED`, `INVALID_REFERRAL_CODE`, `REQUEST_NOT_ALLOWED`, `PARENT_ADDRESS_ALREADY_ONBOARDED`, `INVALID_PARENT_ACCOUNT`, `INVALID_VAULT_OPERATOR_CHAIN`, `VAULT_OPERATOR_ALREADY_ONBOARDED`, `VAULT_NAME_IN_USE`, `VAULT_NOT_FOUND`, `VAULT_STRATEGY_NOT_FOUND`, `VAULT_LIMIT_REACHED`, `VAULT_DATA_PRIVATE`, `BATCH_SIZE_OUT_OF_RANGE`, `ISOLATED_MARKET_ACCOUNT_MISMATCH`, `NO_ACCESS_TO_MARKET`, `POINTS_SUMMARY_NOT_FOUND`, `ALGO_ID_NOT_FOUND`, `INVALID_DERIVATION_PATH`, `PROFILE_STATS_NOT_FOUND`, `INVALID_CHAIN`, `INVALID_LAYERSWAP_SWAP`, `SOCIAL_USERNAME_IN_USE`, `INVALID_OAUTH_REQUEST`, `RPI_ACCOUNT_NOT_WHITELISTED`, `SYSTEM_STATUS_POST_ONLY`, `SYSTEM_STATUS_CANCEL_ONLY`, `INVALID_MARKETING_CODE`, `OFFER_NOT_FOUND`, `MARKET_MARGIN_RESTRICTED`, `NOT_UNIQUE`, `ACCOUNT_ALREADY_REFERRED`, `ONBOARDING_PERIOD_EXPIRED`, `ONBOARDING_RATE_LIMITED`, `SUBACCOUNTS_LIMIT_EXCEEDED`, `INSUFFICIENT_MIN_CHAIN_BALANCE`, `INSUFFICIENT_EVM_BALANCE`, `PORTFOLIO_MARGIN_ONBOARDING_DISABLED`, `PORTFOLIO_MARGIN_INVALID_ACCOUNT_KIND`, `EVM_VAULT_OPERATORS_DISABLED`, `INVALID_EVM_SIGNATURE`, `EVM_SIGNATURE_VERIFICATION_FAILED`, `INVALID_SUBKEY`, `SUBKEY_NOT_ACTIVATABLE`, `TOKEN_LIMIT_REACHED`, `INVALID_TOKEN_SCOPE`, `IP_NOT_ALLOWED`, `INSUFFICIENT_TRANSFERRABLE_XP`, `TRANSFER_LIMIT_REACHED`, `XP_TRANSFERS_DISABLED`, `BLOCK_TRADE_NOT_FOUND`, `BLOCK_TRADE_NOT_ENABLED`, `BLOCK_TRADE_EXPIRED`, `BLOCK_TRADE_ALREADY_CANCELLED`, `BLOCK_TRADE_INVALID_STATUS`, `BLOCK_TRADE_UNAUTHORIZED`, `BLOCK_TRADE_MISSING_TRADES`, `BLOCK_TRADE_MISSING_SIGNERS`, `BLOCK_TRADE_MISSING_SIGNATURE`, `BLOCK_TRADE_ACCOUNT_MISMATCH`, `BLOCK_TRADE_INVALID_SIGNATURE`, `BLOCK_TRADE_SIGNER_KEY_UNAUTHORIZED`, `BLOCK_TRADE_REPLAYED_SIGNATURE`, `BLOCK_TRADE_SELF_TRADE`, `OFFER_ALREADY_CANCELLED`, `OFFER_INVALID_STATUS`, `OFFER_UNAUTHORIZED`, `OFFER_PARENT_MISMATCH`, `OFFER_PARENT_NOT_ACCEPTING`, `PORTFOLIO_MARGIN_CONFIG_NOT_FOUND`, `MARGIN_CONFIG_NOT_FOUND`, `MMP_CONFIG_INVALID`, `MMP_NOT_ENABLED`, `MMP_MIN_FREEZE_NOT_ELAPSED`, `MMP_NOT_CONFIGURED`
- `message` (string, optional) — detailed description of error and how to address it

## Types

### responses.DiscordProfile

- `id` (string, optional)
- `image_url` (string, optional)
- `username` (string, optional)

### responses.Nft

- `collection_address` (string, optional)
- `collection_name` (string, optional)
- `id` (string, optional)
- `image_url` (string, optional)
- `name` (string, optional)
- `price` (messagesv1.NftPrice, optional)

### responses.NotificationPreferencesResp

- `announcements` (boolean, optional)
- `fill_sound` (boolean, optional)
- `fills` (boolean, optional)
- `orders` (boolean, optional)
- `transfers` (boolean, optional)

### responses.ReferralConfigResp

- `commission_rate` (string, optional) — Commission rate for the referer
- `commission_volume_cap` (string, optional) — Volume cap for commission
- `discount_rate` (string, optional) — Discount rate for the referee
- `discount_volume_cap` (string, optional) — Volume cap for discount
- `minimum_volume` (string, optional) — Minimum volume required to be eligible for Program
- `name` (string, optional) — Referral name
- `points_bonus_rate` (string, optional) — Points bonus rate for the referee
- `points_bonus_volume_cap` (string, optional) — Volume cap for points bonus
- `referral_type` (string, optional) — Referral type

### responses.ShareRateResp

- `last_updated_at` (integer, optional)
- `share_rate` (string, optional)

### responses.TwitterProfile

- `id` (string, optional)
- `image_url` (string, optional)
- `username` (string, optional)

### ResponsesApiErrorData

any additional data related to the error

### messagesv1.NftPrice

- `currency` (string, optional)
- `decimals` (integer, optional)
- `value` (string, optional)

## Examples

**Response**

```json
{
  "ai_agent_url": "wss://agent.example.com:18789",
  "discord": {
    "id": "string",
    "image_url": "string",
    "username": "string"
  },
  "is_username_private": true,
  "last_seen_notification": 1713400000000,
  "market_max_slippage": {},
  "marketed_by": "maxDegen",
  "nfts": [
    {
      "collection_address": "string",
      "collection_name": "string",
      "id": "string",
      "image_url": "string",
      "name": "string",
      "price": {
        "currency": "string",
        "decimals": 1,
        "value": "string"
      }
    }
  ],
  "notifications": {
    "announcements": false,
    "fill_sound": true,
    "fills": true,
    "orders": true,
    "transfers": true
  },
  "referral": {
    "commission_rate": "0.1",
    "commission_volume_cap": "1000000000",
    "discount_rate": "0.1",
    "discount_volume_cap": "30000000",
    "minimum_volume": "0.123",
    "name": "Referral",
    "points_bonus_rate": "0.1",
    "points_bonus_volume_cap": "1000000000",
    "referral_type": "Referral"
  },
  "referral_code": "cryptofox8",
  "referred_by": "maxDegen",
  "size_currency_display": "BASE",
  "tap_share_rate": {
    "last_updated_at": 1715592690488,
    "share_rate": "0.2"
  },
  "tap_status": "string",
  "twitter": {
    "id": "string",
    "image_url": "string",
    "username": "string"
  },
  "twitter_following": {},
  "username": "username",
  "xp_share_rate": {
    "last_updated_at": 1715592690488,
    "share_rate": "0.2"
  }
}
```

**SDK Code**

```python
import requests
headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {JWT}'
}

r = requests.get('https://api.prod.paradex.trade/v1/account/profile', headers = headers)

print(r.json())

```

```javascript
const headers = {
  'Accept':'application/json',
  'Authorization':'Bearer {JWT}'
};

fetch('https://api.prod.paradex.trade/v1/account/profile',
{
  method: 'GET',

  headers: headers
})
.then(function(res) {
    return res.json();
}).then(function(body) {
    console.log(body);
});

```

```go
package main
import (
      "bytes"
      "net/http"
)

func main() {

    headers := map[string][]string{
        "Accept": []string{"application/json"},
        "Authorization": []string{"Bearer {JWT}"},
    }

    data := bytes.NewBuffer([]byte{jsonReq})
    req, err := http.NewRequest("GET", "https://api.prod.paradex.trade/v1/account/profile", data)
    req.Header = headers

    client := &http.Client{}
    resp, err := client.Do(req)
    // ...
}

```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.prod.paradex.trade/v1/account/profile")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.prod.paradex.trade/v1/account/profile")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.prod.paradex.trade/v1/account/profile', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.prod.paradex.trade/v1/account/profile");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.prod.paradex.trade/v1/account/profile")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```